{% extends 'xilinx-zcu102.jinja2' %}
{% set connection_list = ['uart1', 'uart2', 'uart3', 'uart4'] %}
{% set connection_commands = {
  'uart1': 'telnet lngmaster.lnglab 7601',
  'uart2': 'telnet lngmaster.lnglab 7602',
  'uart3': 'telnet lngmaster.lnglab 7603',
  'uart4': 'telnet lngmaster.lnglab 7604'
} %}
{% set connection_tags = {
  'uart1': ['primary', 'telnet'],
  'uart2': ['telnet'],
  'uart3': ['telnet'],
  'uart4': ['telnet']
} %}
{% set connection_commands = {'uart1': 'telnet lngmaster.lnglab 7601'} %}
{% set connection_tags = {'uart1': ['primary', 'telnet']} %}
{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command reboot --port 17 --delay 20' %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 17' %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 17' %}
{# FIXME replace the sleeps with something better #}
{% set flasher_deploy_commands = [
     "usbsdmux /dev/usb-sd-mux/id-000000001219 host",
     "sleep 5",
     "dd if={IMAGE} of=/dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000001219-0:0 bs=1M oflag=sync conv=nocreat,notrunc status=progress",
     "sync",
     "usbsdmux /dev/usb-sd-mux/id-000000001219 dut",
     "sleep 5",
  ]
%}
{% set sync_to_lava = {'device_type': 'xilinx-zcu102', 'worker': 'lngmaster.lnglab' } %}

